#!/bin/bash
cd `dirname $0`

usage() {
	echo -e "\nConverts filenames to upper or lower case (different players require upper or lower case)."
	echo -e "Usage: $0 (upper|lower)\n"
	exit
}

dc=`echo $* | awk '{print toupper($0)}'`
if [ -z "$dc" ]; then
	usage
fi

for f in *; do

	if [ "$dc" == "LOWER" ]; then
		df=`echo $f | awk '{print tolower($0)}'`
	else
		df=`echo $f | awk '{print toupper($0)}'`
	fi

	if [ "$df" != "$f" ]; then
		mv -v "$f" "$df"
	fi

done
